# Interface MenuItemFactory

Creates new instances of menus/MenuItem!MenuItem.

interface MenuItemFactory {
create<TMenuItemProps>(properties: TMenuItemProps): MenuItem<MenuItemProperties, MenuProperties>;
}

#####
Index

### Methods

create

##
Methods

### create

- create<TMenuItemProps>(properties): MenuItem<MenuItemProperties, MenuProperties>

- Creates a menus/MenuItem!MenuItem from the given properties.

  #### Type Parameters

  - TMenuItemProps extends MenuItemProperties = MenuItemProperties

  #### Parameters

  - properties: TMenuItemProps

    The MenuItem properties.

  #### Returns MenuItem<MenuItemProperties, MenuProperties>